unit gpx_part;

interface

uses
  gpx;

var
  GPXData : TGPXData;
  GPXValid : boolean;

procedure LoadGPXFromFile(const FileName: string; const Strict : boolean;
                                var Error_Msg, Warning_Msg : string;
                                var Succes : boolean);

implementation

procedure LoadGPXFromFile(const FileName: string; const Strict : boolean;
                                var Error_Msg, Warning_Msg : string;
                                var Succes : boolean);
begin
  GPXData.LoadFromFile(FileName, Strict, Error_Msg, Warning_Msg, Succes);
  GPXValid:=Succes;
end;


initialization
  GPXValid:=false;
  GPXData := TGPXData.Create('calibre_carte');
finalization
  GPXData.Free;
end.
